%define		_snap	20060309

Name:		libtlen
Version:	0
Release:	0.10.%{_snap}%{?dist}
Summary:	Tlen.pl client library
Summary(pl):	Biblioteka kliencka Tlen.pl
Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://tleenx.sourceforge.net/
Source0:	http://downloads.sourceforge.net/sourceforge/tleenx/%{name}-%{_snap}.tar.gz
Patch0:		%{name}-rpm.patch
Patch1:		%{name}-expat.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	expat-devel

%description
libtlen is a library providing an API for client programs which want
to use Tlen.pl, an Instant Messanging protocol based on Jabber, but
with some modifications.

%description -l pl
Biblioteka libtlen dostarcza API dla programów klienckich korzystających
z protokołu Tlen.pl który bazuje na Jabber z niewielkimi modyfikacjami.

%package devel
Summary:	Header files for developing programs using libtlen
Summary(pl):	Pliki nagłówkowe do biblioteki libtlen
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package is required to develop programs that use Tlen.pl
protocol.

%description devel -l pl
Pakiet wymagany przy pisaniu programów korzystających z protokołu
Tlen.pl.

%prep
%setup -q -n %{name}-%{_snap}
%patch0 -p1 -b .r
%patch1 -p1 -b .expat
pushd lib
rm asciitab.h xmldef.h xmlparse.{c,h} xmlrole.{c,h} xmltok.{c,h} xmltok_impl.{c,h} xmltok_ns.c
popd

%build
%configure
%{__make} %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
for i in ChangeLog docs/AUTHORS docs/TODO docs/libtlen.css; do
	iconv -f ISO-8859-2 -t UTF-8 $i -o $i.utf
	%{__mv} -f $i.utf $i
done
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/libtlen.a

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%lang(pl) %doc docs/AUTHORS docs/TODO ChangeLog COPYING
%attr(755,root,root) %{_libdir}/libtlen.so.*

%files devel
%defattr(644,root,root,755)
%lang(pl) %doc docs/*.{html,css}
%{_includedir}/*
%{_libdir}/libtlen.so

%changelog
* Sun Nov 14 2010 Dominik Mierzejewski <rpm@greysector.net> 0-0.10.20060309
- fix source URL
- unbundle expat (fix bug #652502, CVE-2009-3720)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.9.20060309
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.20060309
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0-0.7.20060309
- Autorebuild for GCC 4.3

* Sun Aug 26 2007 Dominik Mierzejewski <rpm@greysector.net> 0-0.6.20060309
- rebuild for BuildID
- update license tag

* Tue Aug 29 2006 Dominik Mierzejewski <rpm@greysector.net> 0-0.5.20060309
- mass rebuild

* Fri Jul 27 2006 Dominik Mierzejewski <rpm@greysector.net> 0-0.4.20060309
- included LGPL license text from upstream

* Fri Jul 27 2006 Dominik Mierzejewski <rpm@greysector.net> 0-0.3.20060309
- patch to fix 32bit builds on 64bit
- updated to 20060309 snapshot
- changed project and download urls

* Sat Jan 07 2006 Dominik Mierzejewski <rpm@greysector.net> 0-0.1.20041113
- FE compliance
- removed static subpackage
- mark docs as Polish

* Tue Sep 13 2005 Dominik Mierzejewski <rpm@greysector.net>
- updated to 20041113 snapshot

* Mon Jul 04 2005 Dominik Mierzejewski <rpm@greysector.net>
- fixed building on FC4

* Wed Oct 13 2004 Dominik Mierzejewski <rpm@greysector.net>
- adapted PLD spec
- updated to 20040416 snapshot

* Sun Feb 29 2004 PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

Revision 1.28  2004/02/29 18:01:25  pawelb
- up to 20040228

Revision 1.27  2003/11/17 22:15:52  adgor
- Partially reverted

Revision 1.26  2003/11/17 21:46:36  adgor
- Changed versioning policy (ver 0.%%{_snap}; rel 1)
- Added post/postun /sbin/ldconfig
- libtlen.so moved to devel subpkg

Revision 1.25  2003/11/16 09:27:35  jack
- updated to snap 20031115

Revision 1.24  2003/11/08 20:44:23  jack
- updated to 20031108 snap

Revision 1.23  2003/08/29 11:15:25  adgor
- Added %%{release} to req

Revision 1.22  2003/08/18 08:08:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.21  2003/07/11 12:28:23  ankry
- URL fixes and other cosmetics

Revision 1.20  2003/06/27 13:10:47  mmazur
- mass commit; now req: name = epoch:version

Revision 1.19  2003/05/28 12:59:32  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 05:50:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/04/18 14:45:32  radek
- snap 20030415

Revision 1.16  2003/02/17 11:32:06  radek
- updated Source0 URL

Revision 1.15  2003/02/03 19:17:17  krzak
- snap 20030130

Revision 1.14  2002/11/23 02:06:12  aflinta
- updated to snap 20021122
- removed destdir.path which is now obsoleted

Revision 1.13  2002/11/19 15:23:33  aflinta
- updated descriptions
- version is 0 cause there is no version except snaps
- Epoch 1
- updated URL's

Revision 1.12  2002/10/30 16:45:55  aflinta
- normal URL is back ;)

Revision 1.11  2002/10/29 23:41:28  aflinta
- updated to snap 20021029

Revision 1.10  2002/10/29 23:18:58  aflinta
- libsigc++ seems to be not needed, everything is working without it

Revision 1.9  2002/10/26 10:36:27  ggodlewski
- url changed to ip - some problem with dns

Revision 1.8  2002/10/25 15:39:23  ggodlewski
- updated to 20021024

Revision 1.7  2002/09/21 14:08:47  aflinta
- updated to snapshot 20020920

Revision 1.6  2002/09/16 16:22:42  qboosh
- typos, cosmetics

Revision 1.5  2002/09/15 13:00:46  aflinta
- splited into subpackages
- snapshot 20020914

Revision 1.4  2002/09/12 10:13:09  trojan
- BuildRequires: libsigc++1-devel instead libsigc++-devel

Revision 1.3  2002/05/24 11:04:31  gotar
- ac/am macros

Revision 1.2  2002/05/24 10:58:30  gotar
- new %%doc

Revision 1.1  2002/05/23 07:56:05  gotar
- initial release, STBR.
